Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXtst runtime library
Name: 		libXtst
Version: 	1.2.0
Release: 	1
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  libXi-devel
BuildRequires:  xmlto
BuildRequires:  libxslt-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel

%description
X.Org X11 libXtst runtime library

%package devel
Summary: 	X.Org X11 libXtst development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# needed by xtst.pc
Requires: 	xorg-x11-proto-devel

%description devel
X.Org X11 libXtst development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build

%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING README INSTALL ChangeLog
%{_libdir}/libXtst.so.6
%{_libdir}/libXtst.so.6.1.0

%files devel
%defattr(-,root,root,-)
%if %{with_static}
%{_libdir}/libXtst.a
%endif
%{_libdir}/libXtst.so
%{_libdir}/pkgconfig/xtst.pc
%{_includedir}/X11/extensions/XTest.h
%{_includedir}/X11/extensions/record.h
%{_mandir}/man3/XTestCompareCurrentCursorWithWindow.3.gz
%{_mandir}/man3/XTestCompareCursorWithWindow.3.gz
%{_mandir}/man3/XTestDiscard.3.gz
%{_mandir}/man3/XTestFakeButtonEvent.3.gz
%{_mandir}/man3/XTestFakeKeyEvent.3.gz
%{_mandir}/man3/XTestFakeMotionEvent.3.gz
%{_mandir}/man3/XTestFakeRelativeMotionEvent.3.gz
%{_mandir}/man3/XTestGrabControl.3.gz
%{_mandir}/man3/XTestQueryExtension.3.gz
%{_mandir}/man3/XTestSetGContextOfGC.3.gz
%{_mandir}/man3/XTestSetVisualIDOfVisual.3.gz
%{_docdir}/libXtst/recordlib.html
%{_docdir}/libXtst/recordlib.xml
%{_docdir}/libXtst/xtestlib.html
%{_docdir}/libXtst/xtestlib.xml

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- version update
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-2
- rebuilt
* Tue Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-4
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-3
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.0.3-2
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.3-1
- version update
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.2-1
- version update
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-2
- rebuilt for xorg 7.2
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.1-1
- Initial release
